package com.bankaudit.rest.process.dao;

import java.util.List;

import com.bankaudit.dao.Dao;
import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.process.model.AuditSchedule;
import com.bankaudit.process.model.AuditTeam;

public interface AuditTeamDao extends Dao{
	
	DataTableResponse getAuditsList(int legalEntityCode,String userId, String search,Integer orderColumn,	String orderDirection,
			Integer page, Integer size, List<String> unitList);
	
	AuditSchedule getAuditByPlanIdAndAuditId(int legalEntityCode,String auditTypeCode, String planId,String auditId);
	
	List<AuditTeam> getAuditTeamsByAuditId(int legalEntityCode,String auditTypeCode, String planId,String auditId);
	
	void deleteAuditTeam(Integer legalEntityCode, String auditId, String statusUnauth);
	
	void deleteAuditTeamByIdAndType(Integer legalEntityCode, String auditId, String auditTypeCode, String statusUnauth);
	
	List<AuditTeam> getAuditTeamsByAuditIdAndType(int legalEntityCode,String auditTypeCode, String auditId);
	
	AuditTeam getAuditTeamLeadByAuditIdAndType(int legalEntityCode,String auditTypeCode, String auditId);
	
	void updateAuditTeamLead(int legalEntityCode,String auditTypeCode, String auditId, String leadId);

}
